Discover Government News



# Security update for jbcrypt, trilead-ssh2

Announcement ID: SUSE-SU-2024:0972-1  
Rating: moderate  
References:

  * bsc#1218198

  
Cross-References:

  * CVE-2023-48795

  
CVSS scores:

  * CVE-2023-48795 ( SUSE ):  5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
  * CVE-2023-48795 ( NVD ):  5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

  
Affected Products:

  * openSUSE Leap 15.5

  
  
An update that solves one vulnerability can now be installed.

## Description:

This update for jbcrypt, trilead-ssh2 fixes the following issues:

  * CVE-2023-48795: Fixed prefix truncation breaking ssh channel integrity aka
    Terrapin Attack (bsc#1218198).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch openSUSE-SLE-15.5-2024-972=1

## Package List:

  * openSUSE Leap 15.5 (noarch)
    * trilead-ssh2-javadoc-217.293.v56de4d4d3515-150200.3.7.1
    * trilead-ssh2-217.293.v56de4d4d3515-150200.3.7.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-48795.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1218198

SUSE: 2024:0972-1 moderate: jbcrypt, trilead-ssh2

March 22, 2024
* bsc#1218198 Cross-References: * CVE-2023-48795

Summary

## This update for jbcrypt, trilead-ssh2 fixes the following issues: * CVE-2023-48795: Fixed prefix truncation breaking ssh channel integrity aka Terrapin Attack (bsc#1218198). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch openSUSE-SLE-15.5-2024-972=1 ## Package List: * openSUSE Leap 15.5 (noarch) * trilead-ssh2-javadoc-217.293.v56de4d4d3515-150200.3.7.1 * trilead-ssh2-217.293.v56de4d4d3515-150200.3.7.1

References

* bsc#1218198

Cross-

* CVE-2023-48795

CVSS scores:

* CVE-2023-48795 ( SUSE ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

* CVE-2023-48795 ( NVD ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

Affected Products:

* openSUSE Leap 15.5

An update that solves one vulnerability can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-48795.html

* https://bugzilla.suse.com/show_bug.cgi?id=1218198

Severity
Announcement ID: SUSE-SU-2024:0972-1
Rating: moderate

Related News